Bug 122150 - devel/libusb port fails to build
devel/libusb port fails to build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2008-03-27 09:30 UTC by bas
Modified: 2008-04-14 13:30 UTC (History)
0 users

See Also:

Makefile.diff (929 bytes, patch)
2008-03-29 21:57 UTC, r.c.ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bas 2008-03-27 09:30:02 UTC
The port for libusb 0.1.12 fails to build. I get the following error:

jade:/usr/local/share/sgml/docbook/dsssl/modlar/html/../common//common/dbl1sr.dsl:3:0:E: cannot open "/usr/local/share/sgml/docbook/4.2/iso-lat2.gml" (No such file or directory).

*** Error code 1

Stop in /usr/ports/devel/libusb/work/libusb-0.1.12/doc.

..and a few more Error code 1's

How-To-Repeat: Attempt to build the port using make or portinstall
Comment 1 Edwin Groothuis freebsd_committer 2008-03-27 10:24:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 r.c.ladan 2008-03-27 10:51:05 UTC
Could you try to build without the SGML documentation?

I think the problem lies within the docbook stuff...
Somehow .gml extensions don't make sense to me (should be .sgml).
Comment 3 bas 2008-03-27 11:26:17 UTC
It builds properly without the SGML docs. However the .gml extension 
wasn't a typo on my side, I double checked that. The file doesn't exist 
with a .sgml extension either, by the way.
Comment 4 r.c.ladan 2008-03-29 21:57:11 UTC
I've attached a fix for this (tested with 'port test' with SGML turned on).

The patch also removes an unnecessary dependency.


GPG fingerprint = E738 5471 D185 7013 0EE0  4FC8 3C1D 6F83 12E1 84F6 (subkeys.pgp.net)
Comment 5 dfilter freebsd_committer 2008-04-14 13:25:37 UTC
gahr        2008-04-14 12:25:22 UTC

  FreeBSD ports repository

  Modified files:
    devel/libusb         Makefile 
  - Fix build
  PR:             122150
  Submitted by:   Bas van de Wiel <bas@kompasmedia.nl>
  Reviewed by:    maintainer
  Approved by:    miwi (mentor)
  Revision  Changes    Path
  1.25      +2 -3      ports/devel/libusb/Makefile
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Pietro Cerutti freebsd_committer 2008-04-14 13:25:46 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!